rdsoftkeys
1
October 2019
Linux Audio Manual

# rdsoftkeys

Simple button panel for sending Rivendell Macro Language (RML) commands
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdsoftkeys
          --map-file=filename

## Description

`rdsoftkeys` 1 is a small utility that can be configured to present the user with a set of push buttons, each of which, when clicked, will send a specified RML command to a local or remote Rivendell host.

If started with no arguments, `rdsoftkeys` 1 will look in the `[SoftKeys]` section of `/etc/rd.conf` for button programming information.

## Options

`--from-file=`filename

  Look in the filename file for button programming information rather than `/etc/rd.conf`.

## Programming Buttons

Button programming information is contained in a `[SoftKeys]` section, which can contain the following directives:

`Columns = cols`

  The maximum number of buttons to place in a single row. If more than this number of buttons are programmed, `rdsoftkeys` 1 will use multiple rows. Default is to place all buttons in a single row.

`Legendnum = text`

  Put text on button number num. Button numbers must start with `1` and be incremented for each additional button desired.

`Colornum = color`

  Use color for the background color of button num. Button numbers must start with `1` and be incremented for each additional button desired.

  color can be English color names --e.g. `red` or `blue`, or specified in standard HTML notation --e.g. `#FF0000`, `#0000FF`.

`Commandnum = address:rml`

  Send the RML command rml on button number num to address. Button numbers must start with `1` and be incremented for each additional button desired.

### Example

The following example will create three buttons, each of which will send a `PN` RML to an rdairplay(1) instance at `rd.example.com`:

    [SoftKeys]
    Columns=2

    Command1=rd.example.com:PN 1!
    Legend1=Start Main Log
    Color1=red

    Command2=rd.example.com:PN 2!
    Legend2=Start Aux Log 1
    Color2=#00FF00

    Command3=rd.example.com:PN 3!
    Legend3=Start Aux Log 2
    Color3=blue